Bug 137897 - FILESAVE: export xltx with encryption to ods doesn't accept "no password" as OK-able option
Summary: FILESAVE: export xltx with encryption to ods doesn't accept "no password" as ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: All Linux (All)
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:7.1.0 target:7.0.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-10-31 12:23 UTC by Justin L
Modified: 2020-11-06 16:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
protected.ots: saving as .xls asks to re-type protection password (8.22 KB, application/vnd.oasis.opendocument.spreadsheet-template)
2020-10-31 12:23 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Justin L 2020-10-31 12:23:41 UTC
Created attachment 166891 [details]
protected.ots: saving as .xls asks to re-type protection password

Starting in LO 6.1, bug 104250 opened a dialog when exporting a file asking to re-enter the password. One option is to save without a password. At the time of implementation, at that point the OK button was enabled.

However, later in 6.1, author Caolán McNamara on 2018-05-15 09:51:44 +0200 with
commit	0e4f93e88bfae3489d2de84fc2febed100880628
weld ScRetypePassInputDlg

reversed the order of the OK/Cancel buttons, and now OK doesn't enable when electing to not save without a password.

Testing with GTK/Ubuntu.
Comment 1 Justin L 2020-10-31 12:45:58 UTC
proposed fix at http://gerrit.libreoffice.org/c/core/+/105101
Comment 2 Commit Notification 2020-10-31 19:40:12 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0385dd46907455e5f6aeba4689ad8cce9b786702

tdf#137897 scRetypePassInputDlg: re-allow password removal

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-11-01 15:49:23 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/9eeaff5fa9070bea685db8b6bbd2dfc1565756ac

tdf#137897 scRetypePassInputDlg: re-allow password removal

It will be available in 7.0.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2020-11-06 16:08:27 UTC
Verified in

Version: 7.1.0.0.alpha1+
Build ID: 9c8ed8c8526b9b696d0bf592eb7d963950f3cef4
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Justin, thanks for fixing this issue!